import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["className", "size"];
import React from 'react';
import Box from '../box';
import Icon from '../icon';
import cx from 'classnames';
import theme from './theme.css';
import { IconLockSmallFilled } from '@teamleader/ui-icons';

var MarketingLockBadge = function MarketingLockBadge(_ref) {
  var className = _ref.className,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 'medium' : _ref$size,
      others = _objectWithoutProperties(_ref, _excluded);

  var classNames = cx(theme['wrapper'], theme["is-".concat(size)], className);
  return /*#__PURE__*/React.createElement(Box, _extends({}, others, {
    alignItems: "center",
    borderRadius: "rounded",
    display: "flex",
    justifyContent: "center",
    className: classNames
  }), /*#__PURE__*/React.createElement(Icon, {
    className: theme['icon']
  }, /*#__PURE__*/React.createElement(IconLockSmallFilled, null)));
};

export default MarketingLockBadge;